UptimeUptime Wiki

Cable

Parameters

Path Parameters
id*integer

Entity id

Formatint64
Range0 <= value

Try the endpoint

GET
/api/v1/network/cables/{id}

Code example

curl -X GET "https://example.com/api/v1/network/cables/0"

Response example

{  "from_host": 0,  "to_switch": 0,  "kind": "string",  "dac_class": "string",  "color": "string",  "duplex": true,  "qsfp_end": 0,  "length_m": 0,  "id": 0,  "a": null,  "b": null,  "lag_id": 0,  "routed": true,  "mode_pinned": true,  "breakout_id": 0,  "routed_via": [    0  ],  "path": [    {      "Port": 0    }  ],  "route_slots": [    0  ],  "routed_points": [    [      0.1    ]  ],  "is_draped": true,  "is_failed": true,  "routing_side_a": "string",  "routing_side_b": "string",  "dangling_end": "string"}

Response body

200The entity
application/json

On this page